From 407c100b51db0442293fa79d0dd74a5fc49853cb Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 19/48] don't overwrite self._buildopts on each access


---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index f01e89f..c40c21e 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -752,7 +752,8 @@ class ModuleMetadata(object):
         """A ModuleBuildopts instance representing the additional
         module components build options.
         """
-        self._buildopts = ModuleBuildopts(parent=self)
+        if not getattr(self, '_buildopts', None):
+            self.buildopts = ModuleBuildopts(parent=self)
         return self._buildopts
 
     @buildopts.setter

